Method: vdc.proofUser

カード発行会社が指定した証拠のリストを使用して、特定のデバイスのためにデジタル認証情報に対してユーザーを証明するためのエンドポイント。

HTTP リクエスト

POST https://example.issuer.com/api/v1/vdc/proofUser

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "requestMetadata": {
    object (RequestMetadata)
  },
  "deviceReferenceId": string,
  "proofingId": string,
  "evidence": [
    {
      object (ProofingEvidence)
    }
  ],

  // Union field proofing_context can be only one of the following:
  "reverificationContext": {
    object (ReverificationContext)
  }
  // End of list of possible types for union field proofing_context.
}
フィールド
requestMetadata

object (RequestMetadata)

リクエストに関するメタデータ。すべてのリクエストで必須。

deviceReferenceId

string

デバイスに対応する ID とデバイスに関連付けられた ID 鍵。これはデバイス ID ではありません。つまり、ユーザーが同じデバイスで 2 種類の認証情報を使用する場合、この ID はそれぞれの認証情報で異なります。

この ID はすべてのリクエストで提供され、リクエストとリクエストを関連付けるために使用できます。

proofingId

string

一連の特定の証拠による検証を表す、特定のデバイスの不透明な識別子。

例: UUID

evidence[]

object (ProofingEvidence)

デジタル認証情報でユーザーを認証するために必要な証拠のリスト。

共用体フィールド proofing_context。校正のコンテキスト。最初の校正では空です。proofing_context は次のいずれかになります。
reverificationContext

object (ReverificationContext)

再確認の証明のコンテキスト。

レスポンスの本文

デジタル認証情報でユーザーを認証するリクエストに対する確認応答。認証が処理中であることを示します。

成功した場合、レスポンスの本文には次の構造のデータが含まれます。

JSON 表現
{
  "responseMetadata": {
    object (ResponseMetadata)
  },
  "proofingId": string
}
フィールド
responseMetadata

object (ResponseMetadata)

レスポンスに関するメタデータ。すべてのレスポンスで必須。

proofingId

string

一連の特定の証拠による検証を表す、特定のデバイスの不透明な識別子。これは、リクエストで送信された証明書 ID と同じです。

ProofingEvidence

1 個の証拠を表すオブジェクト。

JSON 表現
{

  // Union field evidence_type can be only one of the following:
  "preAuthorizationCode": {
    object (Evidence)
  }
  // End of list of possible types for union field evidence_type.
}
フィールド
共用体フィールド evidence_type。証拠がどのように提示されているかを示す oneof。evidence_type は次のいずれかになります。
preAuthorizationCode

object (Evidence)

発行会社から送信された事前承認コード。

根拠

1 個の証拠を表すオブジェクト。

JSON 表現
{

  // Union field presencetype can be only one of the following:
  "encryptedData": {
    object (EncryptedData)
  },
  "unencryptedValue": string,
  "unencryptedInteger": integer
  // End of list of possible types for union field presencetype.
}
フィールド
共用体フィールド presencetype。証拠がどのように提示されているかを示す oneof。presencetype は次のいずれかになります。
encryptedData

object (EncryptedData)

暗号化された値と、値を復号するために必要な暗号化メタデータ。

unencryptedValue

string

base64 エンコードされた証拠の値。

unencryptedInteger

integer

証拠の整数値。

ReverificationContext

認証情報の再確認をトリガーするために必要なコンテキスト。

JSON 表現
{
  "credentialId": string
}
フィールド
credentialId

string

再検証が実行される認証情報の ID。